Subject: RE: b19 configure problems AND mkid/lid problem
From: [email-masked] (Earnie Boyd)

7 Mar 1998 00:23:35 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

I don't find that this was answered in the archives.  Actually I can't 
even find it in the archives.  

The reason that your having problems has to do with physical versus 
logical devices relative to absolute versus soft paths.  The logical 
directory / is physically c:\, the logical directory /d is physically 
d:\.  If you "cd /" then you are in effect doing chdir to c:\.  If you 
try to "cd d" it can't resolve the soft path because "d" doesn't 
physically exist on c:\.  If you do "cd /d" however it works because 
"/d" is mapped to d:\.

A workaround for this might be (don't know if this works, just thought 
of it):

umount /d
cd /
ln -s d:\\ d

If the above doesn't work then you will need to modify the code to 
include the beginning / so that it can be resolved correctly.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>From: "Ron Aaron" <[email-masked]>
>To: "Geoffrey Noer" <[email-masked]>, <[email-masked]>
>Cc: <[email-masked]>
>Subject: RE: b19 configure problems AND mkid/lid problem
>Date: Sat, 28 Feb 1998 12:43:42 -0800
>
>I copied b19...sh.exe into my C:\BIN, and now everything works... as 
far as
>compile, etc, Thanks!
>
>I got mkid and lid to compile just fine now; (gnu id-utils3.2).  
However,
>when I try (from my bash shell)
>	./mkid *.c
>
>in the directory where the id-utils src files are, I get:
>	./mkid: can't lstat `d' from `/'
>	./mkid: can't chdir to `d' from `/': No such file or directory
>	./mkid: can't chdir to `d/id-utils-3.2' from `/': No such file or 
directory
>	./mkid: can't chdir to `d/id-utils-3.2/src' from `/': No such file or
>directory
>	./mkid: can't lstat `fid.c' from `/'
>	./mkid: can't lstat `fnid.c' from `/'
>	./mkid: can't lstat `lid.c' from `/'
>	./mkid: can't lstat `mkid.c' from `/'
>	./mkid: can't lstat `xtokid.c' from `/'
>	./mkid: can't lstat `2' from `/'
>	./mkid: nothing to do
>
>
>Tracing through the mkid code, they get the current-dir from getcwd() 
which
>returns "/d/id-utils/3.2/src/", then they try to chdir() in pieces 
there.
>This doesn't appear to work at all.
>
>Any clues!! Please!  I would *like* to be able to use these tools 
outside of
>a bash environment, too (on NT).
>
>Thanks,
>Ron
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".